IAcSmAcDbObjectReference


The interface for an AcDbObject object.

available methods :

(setq cad (vlax-get-acad-object))
(setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr"))
(setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile))
(setq sheetset (vlax-invoke-method smdb 'GetSheetSet))
(setq dwtLayout (vlax-invoke-method sheetset 'GetDefDwtLayout))

SetName

assigns a new name for the referenced object

(vlax-invoke-method sheetset 'SetName "OtherName")

HRESULT SetName ([in] BSTR name)

GetName

returns the name of the referenced object

(setq name (vlax-invoke-method sheetset 'GetName))

HRESULT GetName ([out, retval] BSTR* pName)

SetOwnerAcDbHandle

assigns the AcDbHandle (as a string) of the owning AcDbObject; needed since the name by itself does not provide enough information about the nature of the referenced AcDbObject

(vlax-invoke-method dwtLayout 'SetOwnerAcDbHandle "1A3")

HRESULT SetOwnerAcDbHandle ([in] BSTR handle)

GetOwnerAcDbHandle

returns the AcDbHandle (as a string) of the parent AcDbObject of the referenced object

(setq res (vlax-invoke-method dwtLayout 'GetOwnerAcDbHandle))

HRESULT GetOwnerAcDbHandle ([out, retval] BSTR* pHandle)



©  Bricsys NV. All rights reserved.